library("distribs")
library("plot")
setsize(800,400)
x = aseq(-0.15, 101, 0.003)
lambda = -1.933
alpha = 5.174
beta = 0.0048
delta = 0.0262
mu = 0.0002
y1 = pdfghd(x, lambda, alpha, beta, delta, mu)
y2 = pdfghd(x, lambda, alpha, beta, delta, mu+0.05)
y3 = pdfghd(x, lambda, alpha, beta, delta*2, mu)
y4 = pdfghd(x, lambda, alpha, -5, delta*2, mu)
y5 = pdfghd(x, lambda, alpha, 5, delta*2, mu)
y6 = pdfghd(x, lambda, alpha+50, beta, delta, mu)
gr1 = setmask(x~y1, "line")
gr2 = setmask(x~y2, "line", "red")
gr3 = setmask(x~y3, "line", "red")
gr4 = setmask(x~y4, "line", "red")
gr5 = setmask(x~y5, "line", "red")
gr6 = setmask(x~y6, "line", "red")
explot = createdisplay(1,2)
show(explot,1,1,gr1,gr2)
setgopt(explot,1,1,"border",0)
show(explot,1,2,gr1,gr3)
setgopt(explot,1,2,"border",0)



